<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Definitions.xAPIExtension Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_definitions.html">Definitions</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html">xAPIExtension</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Definitions.xAPIExtension Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Class that represents an xAPI extension  
 <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Definitions.xAPIExtension:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_extension_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_extension_inherit__map" id="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_extension_inherit__map">
<area shape="rect" title="Class that represents an xAPI extension" alt="" coords="5,80,177,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition" alt="" coords="40,5,143,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.Definitions.xAPIExtension:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_extension_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_extension_coll__map" id="ax_a_p_i___definitions___parser_8_definitions_8x_a_p_i_extension_coll__map">
<area shape="rect" title="Class that represents an xAPI extension" alt="" coords="5,80,177,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition" alt="" coords="40,5,143,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae08486a96fc50d864bee8eabdaf00af4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html#ae08486a96fc50d864bee8eabdaf00af4">xAPIExtension</a> ()</td></tr>
<tr class="memdesc:ae08486a96fc50d864bee8eabdaf00af4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an empty <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html" title="Class that represents an xAPI extension">xAPIExtension</a>  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html#ae08486a96fc50d864bee8eabdaf00af4">More...</a><br /></td></tr>
<tr class="separator:ae08486a96fc50d864bee8eabdaf00af4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada8b8bb65ad63f61a085698ed3951e43"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html#ada8b8bb65ad63f61a085698ed3951e43">xAPIExtension</a> (string context, string name, Dictionary&lt; string, string &gt; names, Dictionary&lt; string, string &gt; descriptions)</td></tr>
<tr class="memdesc:ada8b8bb65ad63f61a085698ed3951e43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html" title="Class that represents an xAPI extension">xAPIExtension</a>  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html#ada8b8bb65ad63f61a085698ed3951e43">More...</a><br /></td></tr>
<tr class="separator:ada8b8bb65ad63f61a085698ed3951e43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html">xAPI_Definitions_Parser.Definitions.xAPIDefinition</a></td></tr>
<tr class="memitem:a888d624c61b5fad40e479a32db361031 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a888d624c61b5fad40e479a32db361031">xAPIDefinition</a> ()</td></tr>
<tr class="memdesc:a888d624c61b5fad40e479a32db361031 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an empty <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition">xAPIDefinition</a>  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a888d624c61b5fad40e479a32db361031">More...</a><br /></td></tr>
<tr class="separator:a888d624c61b5fad40e479a32db361031 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a742d8ad70a402f880cca4a4448d7bb34 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a742d8ad70a402f880cca4a4448d7bb34">xAPIDefinition</a> (string context, string name, IDictionary&lt; string, string &gt; names, IDictionary&lt; string, string &gt; descriptions)</td></tr>
<tr class="memdesc:a742d8ad70a402f880cca4a4448d7bb34 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition">xAPIDefinition</a>.  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a742d8ad70a402f880cca4a4448d7bb34">More...</a><br /></td></tr>
<tr class="separator:a742d8ad70a402f880cca4a4448d7bb34 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3eb1fde2c0016887b86ff8290ee70b1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#aa3eb1fde2c0016887b86ff8290ee70b1">GetName</a> (string language)</td></tr>
<tr class="memdesc:aa3eb1fde2c0016887b86ff8290ee70b1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the name of the definition by language  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#aa3eb1fde2c0016887b86ff8290ee70b1">More...</a><br /></td></tr>
<tr class="separator:aa3eb1fde2c0016887b86ff8290ee70b1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f37a74c5fd026db87c96e88001cd20e inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a9f37a74c5fd026db87c96e88001cd20e">GetDescription</a> (string language, bool replaceLang=false)</td></tr>
<tr class="memdesc:a9f37a74c5fd026db87c96e88001cd20e inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the description of the definition by language  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a9f37a74c5fd026db87c96e88001cd20e">More...</a><br /></td></tr>
<tr class="separator:a9f37a74c5fd026db87c96e88001cd20e inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26e6af4f2a4d1577ea5662ae3e335c3e inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">KeyValuePair&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a26e6af4f2a4d1577ea5662ae3e335c3e">GetNameDescription</a> (string language)</td></tr>
<tr class="memdesc:a26e6af4f2a4d1577ea5662ae3e335c3e inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the name and the description of the definition by language  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a26e6af4f2a4d1577ea5662ae3e335c3e">More...</a><br /></td></tr>
<tr class="separator:a26e6af4f2a4d1577ea5662ae3e335c3e inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae2ab64f16a4443fc48107abaf59cbaf inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#aae2ab64f16a4443fc48107abaf59cbaf">GetLanguages</a> ()</td></tr>
<tr class="memdesc:aae2ab64f16a4443fc48107abaf59cbaf inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the languages of the definition  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#aae2ab64f16a4443fc48107abaf59cbaf">More...</a><br /></td></tr>
<tr class="separator:aae2ab64f16a4443fc48107abaf59cbaf inherit pub_methods_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html">xAPI_Definitions_Parser.Definitions.xAPIDefinition</a></td></tr>
<tr class="memitem:a6e36e202da13033b81f01c0836776f81 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a6e36e202da13033b81f01c0836776f81">Context</a></td></tr>
<tr class="memdesc:a6e36e202da13033b81f01c0836776f81 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context of the definition  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a6e36e202da13033b81f01c0836776f81">More...</a><br /></td></tr>
<tr class="separator:a6e36e202da13033b81f01c0836776f81 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8a555d0dcade62e799834547885e8c inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a5a8a555d0dcade62e799834547885e8c">DefName</a></td></tr>
<tr class="memdesc:a5a8a555d0dcade62e799834547885e8c inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">(File) name of the definition  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a5a8a555d0dcade62e799834547885e8c">More...</a><br /></td></tr>
<tr class="separator:a5a8a555d0dcade62e799834547885e8c inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41f8a6ac6675916f5973baca6ea1fcb2 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a41f8a6ac6675916f5973baca6ea1fcb2">Names</a></td></tr>
<tr class="memdesc:a41f8a6ac6675916f5973baca6ea1fcb2 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Names of the definition by language  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#a41f8a6ac6675916f5973baca6ea1fcb2">More...</a><br /></td></tr>
<tr class="separator:a41f8a6ac6675916f5973baca6ea1fcb2 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0ecf1e4000b091879e12dbd31bbaa2 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#abf0ecf1e4000b091879e12dbd31bbaa2">Descriptions</a></td></tr>
<tr class="memdesc:abf0ecf1e4000b091879e12dbd31bbaa2 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="mdescLeft">&#160;</td><td class="mdescRight">Descriptions by the definition by language  <a href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html#abf0ecf1e4000b091879e12dbd31bbaa2">More...</a><br /></td></tr>
<tr class="separator:abf0ecf1e4000b091879e12dbd31bbaa2 inherit pub_attribs_classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Class that represents an xAPI extension </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae08486a96fc50d864bee8eabdaf00af4" name="ae08486a96fc50d864bee8eabdaf00af4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae08486a96fc50d864bee8eabdaf00af4">&#9670;&nbsp;</a></span>xAPIExtension() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Definitions.xAPIExtension.xAPIExtension </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates an empty <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html" title="Class that represents an xAPI extension">xAPIExtension</a> </p>

</div>
</div>
<a id="ada8b8bb65ad63f61a085698ed3951e43" name="ada8b8bb65ad63f61a085698ed3951e43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada8b8bb65ad63f61a085698ed3951e43">&#9670;&nbsp;</a></span>xAPIExtension() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Definitions.xAPIExtension.xAPIExtension </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Dictionary&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Dictionary&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>descriptions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates an <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html" title="Class that represents an xAPI extension">xAPIExtension</a> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>Context of the extension</td></tr>
    <tr><td class="paramname">name</td><td>(File) name of the extension</td></tr>
    <tr><td class="paramname">names</td><td>Names of the extension by language</td></tr>
    <tr><td class="paramname">descriptions</td><td>Descriptions of the extension by language.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Definitions/<a class="el" href="x_a_p_i_extension_8cs.html">xAPIExtension.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
